import httpRequest from '@/utils/axios'

/**
 * 获取商品列表
 */
export function getGoodsList(data) {
  return httpRequest.post('/api/shop/commodity/spu/search', data)
}
/**
 * 创建商品
 */
export function addGoods(data) {
  return httpRequest.post('/api/shop/commodity/spu/add', data)
}
/**
 * 更新商品
 */
export function updateGoods(data) {
  return httpRequest.post('/api/shop/commodity/spu/modify', data)
}
/**
 * 删除商品
 */
export function deleteGoods(data) {
  return httpRequest.post('/api/shop/commodity/spu/delete', data)
}
/**
 * 更新商品状态
 */
export function updateGoodsStatus(data) {
  return httpRequest.post('/api/shop/commodity/spu/status/modify', data)
}

/**
 * 获取商品分组
 */
export function getGroupList(data) {
  return httpRequest.post('/api/shop/commodity/group/search', data)
}
/**
 * 创建商品分组
 */
export function addGroup(data) {
  return httpRequest.post('/api/shop/commodity/group/add', data)
}
/**
 * 更新商品分组
 */
export function updateGroup(data) {
  return httpRequest.post('/api/shop/commodity/group/modify', data)
}
/**
 * 删除商品分组
 */
export function deleteGroup(data) {
  return httpRequest.post('/api/shop/commodity/group/delete', data)
}

/**
 * 获取商品规格
 */
export function getSkuNameList(data) {
  return httpRequest.post('/api/shop/spec/search', data)
}
/**
 * 创建商品规格
 */
export function addSku(data) {
  return httpRequest.post('/api/shop/spec/add', data)
}
/**
 * 删除商品规格
 */
export function deleteSku(data) {
  return httpRequest.post('/api/shop/spec/delete', data)
}

/**
 * 获取商品规格值
 */
export function getSkuValueList(data) {
  return httpRequest.post('/api/shop/spec/value/search', data)
}
/**
 * 创建商品规格值
 */
export function addSkuValue(data) {
  return httpRequest.post('/api/shop/spec/value/add', data)
}
/**
 * 删除商品规格值
 */
export function deleteSkuValue(data) {
  return httpRequest.post('/api/shop/spec/value/delete', data)
}
